Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 981560 - Throw an exception when configure "iscsi initiator name" with an empty string.
Summary: Throw an exception when configure "iscsi initiator name" with an empty string.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-node
Version: unspecified
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 3.4.1
Assignee: Ryan Barry
QA Contact: bugs@ovirt.org
URL:
Whiteboard: node
Depends On: 981554
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-05 07:02 UTC by haiyang,dong
Modified: 2014-04-30 10:54 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 981554
Environment:
Last Closed: 2014-04-30 10:54:35 UTC
oVirt Team: ---


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 16471 None None None Never

Description haiyang,dong 2013-07-05 07:02:22 UTC
+++ This bug was initially created as a clone of Bug #981554 +++

Description of problem:
Enter Remote Storage page and configure "iscsi initiator name" with an empty string.
Then it throw an exception clicking "Save" to apply what i configured.(Seen exception iscsi initiator name.png)


Version-Release number of selected component (if applicable):
rhev-hypervisor6-6.5-20130222.0.auto1710.el6
ovirt-node-3.0.0-1.999.20130702120359git0015156.el6.noarch

How reproducible:
100%

Steps to Reproduce:


Actual result:

                                                           
Expect result:

Additional info:
similar issue for setting "Rsyslog address" and "Netconsole address" with an empty string

Comment 1 haiyang,dong 2013-07-05 10:44:56 UTC
Can reproduce this issue on ovirt-node upstream:
ovirt-node-iso-3.0.0-1.999.999.20130705070428git4b73e2c.2674.fc18.iso
ovirt-node-3.0.0-2.999.20130705070428git4b73e2c.fc18.src.rpm

Comment 2 haiyang,dong 2013-07-09 01:55:32 UTC
upstream patch:
http://gerrit.ovirt.org/#/c/16471/

Fix it as follow:

Didn't allow input an empty string for "iscsi initiator name"
and also allow to clean "Rsyslog address" and "Netconsole address" info now

Comment 3 Sandro Bonazzola 2014-03-04 09:24:21 UTC
This is an automated message.
Re-targeting all non-blocker bugs still open on 3.4.0 to 3.4.1.


Note You need to log in before you can comment on or make changes to this bug.